#ifndef GEBLENDABLEMESH_H
#define GEBLENDABLEMESH_H
#include <NxPhysics.h>
#include "GeActor.h"

class GeBlendableMesh : public GeActor {
public:
    GeBlendableMesh(GeActor* mesh, int type=0);
    GeBlendableMesh(GeGeometry* geometry, NxActor* actor);
    virtual ~GeBlendableMesh();

    void render(void);
	void renderBlendable(void);
    virtual void update(void);
	void shadowPass(GeLight* light) {};
};

#endif